#!/usr/bin/perl -w

use strict;

print qq{
/*
 * This file has been automatically generated and should not be compiled.
 *
 * The purpose of the file is to collect the translation strings from the
 * *.rc files which are used in creating the menus.
 * 
 * The code is prepared for  lupdate  program. There is make ts target :
 *
 *   make -f qt4-makefile ts
 *
 * which is used to extract translation strings and to update ts/*.tr files.
 */

};

my $file = $ARGV[0];
my $nextfile = $ARGV[1];
while (<>) {
    if ($ARGV[0]) {
        if ($nextfile ne $ARGV[0]) {
            $file = $nextfile;
            $nextfile = $ARGV[0];
        }
    } else {
        $file = $nextfile;
    }
    my $line = $_;

    my $name = "";
    my $text = "";
    my $shortcut = "";

    if ($line =~ /<text>(.*)<\/text>/) {
	$text = $1;
    } elsif ($line =~ /text="([^"]*)"/) {
	$text = $1;
    }
    $text =~ s/\&amp;/&/;

    if ($line =~ /name="([^"]*)"/) {
	$name = $1;
    }

    if ($text) {
        print 'QObject::tr("' . $text . '");';
        print ' /* ' . $file;
        if ($name) { print ' : ' . $name; }
        print ' */
';
    }

##
##  Do not add (yet) shortcuts to the translations.
##
#
#    if ($line =~ /shortcut="([^"]*)"/) {
#        $shortcut = $1;
#        print 'QObject::tr("' . $shortcut . '","(shortcut)");';
#        if ($name) { print ' // ' . $name; }
#        print '
#';
#    }
}
