/* QCharSelect is a fork of KCharSelect from KDE 3.5.10, ported to pure Qt
 *
 * QCharSelect is Copyright (c) 2013 D. Michael McIntyre
 *
 * In KDE, KCharSelect the application was built around KCharSelect the library
 * widget.  QCharSelect extracts both components from KDE, moving the
 * application's core functionality into QCharSelectDialog, and moving the
 * library widget's core functionality into QCharSelectWidget, both of which
 * compile and link together to produce the qcharselect binary.
 *
 * The KCharSelect application was originally:
 *
 *     Copyright (C) 1999 Reginald Stadlbauer <reggie@kde.org>
 *
 * It was released under the GPL.
 *
 * The KCharSelect library widget was originally:
 *
 *     Copyright (C) 1999 Reginald Stadlbauer <reggie@kde.org>
 *
 * It was relesaed under the LGPL.  Under the terms of the LGPL, I am exercising
 * the option to release this derivative work under the GPL.  As such, the LGPL
 * notice has been removed from any source files where it was originally
 * present.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.  See the file COPYING included with this distribution for more
 * information.
*/

#include "QCharSelectDialog.h"
#include "ResourceFinder.h"

#include <QApplication>
#include <QSettings>
#include <QString>
#include <QChar>
#include <QApplication>
#include <QMainWindow>
#include <QFile>

/*================================================================*/
int main(int argc, char **argv)
{
    // do a QAboutBox or whatever stock thing here with this data as the
    // original hoopty hoo:
/*  KAboutData aboutData( "QCharSelect", I18N_NOOP("QCharSelect"),
    version, description, KAboutData::License_GPL,
    "(c) 1999, Reginald Stadlbauer");
  aboutData.addAuthor("Reginald Stadlbauer",0, "reggie@kde.org");
  aboutData.addCredit( "Nadeem Hasan", I18N_NOOP( "GUI cleanup and fixes" ),
        "nhasan@kde.org" );
  aboutData.addCredit( "Ryan Cumming", I18N_NOOP( "GUI cleanup and fixes" ),
        "bodnar42@phalynx.dhs.org" );
  aboutData.addCredit("Benjamin C. Meyer",I18N_NOOP("XMLUI conversion"),"ben+QCharSelect@meyerhome.net");
	KCmdLineArgs::init( argc, argv, &aboutData );*/

  QApplication app(argc, argv);

  app.setOrganizationName("qcharselect");
  app.setOrganizationDomain("qcharselect");
  app.setApplicationName(QApplication::tr("QCharSelect"));

  QSettings settings;
  settings.beginGroup("Options");
  QString stylepath = ResourceFinder().getResourcePath("", "qcharselect.css");
  if (stylepath != "") {
      QFile file(stylepath);
      if (file.open(QFile::ReadOnly)) {
          QString styleSheet = QLatin1String(file.readAll());
          app.setStyleSheet(styleSheet);
      }
  }

  QFont currentFont;

  QString font(settings.value("selected_font", currentFont.family()).toString());
  QChar c = QChar(static_cast<unsigned short>(settings.value("character", 33).toInt()));
  int tn = settings.value("table", 0).toInt();
  bool direction = settings.value("text_direction", 0).toBool();
  
  QCharSelectDialog *dia = new QCharSelectDialog(c, font, tn, direction);

  app.setMainWidget(dia);
  dia->show();

  return app.exec();
}

